### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartlite_i.h File Reference

## Detailed Description

Contains data which is shared between the files of the XUartLite component. It is intended for internal use only.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a ecm  08/31/01 First release
     1.00b jhl  02/21/02 Reparitioned the driver for smaller files
     1.00b rpm  04/24/02 Moved register definitions to xuartlite_l.h and
                         updated macro naming convention

## Functions

unsigned int | XUartLite_SendBuffer (XUartLite *InstancePtr)
unsigned int | XUartLite_ReceiveBuffer (XUartLite *InstancePtr)

## Variables

XUartLite_Config | XUartLite_ConfigTable []

## Function Documentation

unsigned int XUartLite_ReceiveBuffer | ( | XUartLite * | InstancePtr | ) |

This function receives a buffer that has been previously specified by setting up the instance variables of the instance. This function is designed to be an internal function for the XUartLite component such that it may be called from a shell function that sets up the buffer or from an interrupt handler.

This function will attempt to receive a specified number of bytes of data from the UART and store it into the specified buffer. This function is designed for either polled or interrupt driven modes. It is non-blocking such that it will return if there is no data has already received by the UART.

In a polled mode, this function will only receive as much data as the UART can buffer, either in the receiver or in the FIFO if present and enabled. The application may need to call it repeatedly to receive a buffer. Polled mode is the default mode of operation for the driver.

In interrupt mode, this function will start receiving and then the interrupt handler of the driver will continue until the buffer has been received. A callback function, as specified by the application, will be called to indicate the completion of receiving the buffer or when any receive errors or timeouts occur. Interrupt mode must be enabled using the SetOptions function.

Parameters:

  | InstancePtr | is a pointer to the XUartLite instance.

Returns:
  The number of bytes received.

Note:
  None.

unsigned int XUartLite_SendBuffer | ( | XUartLite * | InstancePtr | ) |

This function sends a buffer that has been previously specified by setting up the instance variables of the instance. This function is designed to be an internal function for the XUartLite component such that it may be called from a shell function that sets up the buffer or from an interrupt handler.

This function sends the specified buffer of data to the UART in either polled or interrupt driven modes. This function is non-blocking such that it will return before the data has been sent by the UART.

In a polled mode, this function will only send as much data as the UART can buffer, either in the transmitter or in the FIFO if present and enabled. The application may need to call it repeatedly to send a buffer.

In interrupt mode, this function will start sending the specified buffer and then the interrupt handler of the driver will continue until the buffer has been sent. A callback function, as specified by the application, will be called to indicate the completion of sending the buffer.

Parameters:

  | InstancePtr | is a pointer to the XUartLite instance.

Returns:
  NumBytes is the number of bytes actually sent (put into the UART transmitter and/or FIFO).

Note:
  None.

## Variable Documentation

XUartLite_Config XUartLite_ConfigTable[]

| The configuration table for UART Lite devices

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.